Ruby: siphash.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Typedefs | Functions
siphash.h File Reference
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures
struct | sip_uint64_t
struct | sip_state
struct | sip_hash

## Macros
#define | uint64_t sip_uint64_t

## Typedefs
typedef struct sip_interface_st | sip_interface

## Functions
sip_hash * | sip_hash_new (const uint8_t key[16], int c, int d)
sip_hash * | sip_hash_init (sip_hash *h, const uint8_t key[16], int c, int d)
int | sip_hash_update (sip_hash *h, const uint8_t *data, size_t len)
int | sip_hash_final (sip_hash *h, uint8_t **digest, size_t *len)
int | sip_hash_final_integer (sip_hash *h, uint64_t *digest)
int | sip_hash_digest (sip_hash *h, const uint8_t *data, size_t data_len, uint8_t **digest, size_t *digest_len)
int | sip_hash_digest_integer (sip_hash *h, const uint8_t *data, size_t data_len, uint64_t *digest)
void | sip_hash_free (sip_hash *h)
void | sip_hash_dump (sip_hash *h)
| NO_SANITIZE ("unsigned-integer-overflow", uint64_t sip_hash13(const uint8_t key[16], const uint8_t *data, size_t len))

## Macro Definition Documentation

## ◆ uint64_t

#define uint64_t sip_uint64_t

Definition at line 15 of file siphash.h.

## Typedef Documentation

## ◆ sip_interface

typedef struct sip_interface_st sip_interface

Definition at line 29 of file siphash.h.

## Function Documentation

## ◆ NO_SANITIZE()

NO_SANITIZE | ( | "unsigned-integer-overflow" | ,
|  | uint64_t | sip_hash13const uint8_t key[16], const uint8_t *data, size_t len
| ) |  |

## ◆ sip_hash_digest()

int sip_hash_digest | ( | sip_hash * | h,
|  | const uint8_t * | data,
|  | size_t | data_len,
|  | uint8_t ** | digest,
|  | size_t * | digest_len
| ) |  |

## ◆ sip_hash_digest_integer()

int sip_hash_digest_integer | ( | sip_hash * | h,
|  | const uint8_t * | data,
|  | size_t | data_len,
|  | uint64_t * | digest
| ) |  |

## ◆ sip_hash_dump()

void sip_hash_dump | ( | sip_hash * | h | ) |

## ◆ sip_hash_final()

int sip_hash_final | ( | sip_hash * | h,
|  | uint8_t ** | digest,
|  | size_t * | len
| ) |  |

## ◆ sip_hash_final_integer()

int sip_hash_final_integer | ( | sip_hash * | h,
|  | uint64_t * | digest
| ) |  |

## ◆ sip_hash_free()

void sip_hash_free | ( | sip_hash * | h | ) |

## ◆ sip_hash_init()

sip_hash * sip_hash_init | ( | sip_hash * | h,
|  | const uint8_t | key[16],
|  | int | c,
|  | int | d
| ) |  |

## ◆ sip_hash_new()

sip_hash * sip_hash_new | ( | const uint8_t | key[16],
|  | int | c,
|  | int | d
| ) |  |

## ◆ sip_hash_update()

int sip_hash_update | ( | sip_hash * | h,
|  | const uint8_t * | data,
|  | size_t | len
| ) |  |